using System.ComponentModel.DataAnnotations.Schema;
using TecniStamp.Domain.Base;

namespace TecniStamp.Domain;

public class Permission : EntitaBase
{
    [ForeignKey(nameof(Ruolo))]
    public Guid? RuoloId { get; set; }
    public Ruolo Ruolo { get; set; }
    [ForeignKey(nameof(Feature))]
    public Guid IdFeature { get; set; }
    public Feature Feature { get; set; }
}